Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
E
eepm
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Nurlan
eepm
Commits
0bbb7e8c
Commit
0bbb7e8c
authored
Apr 20, 2022
by
Vitaly Lipatov
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
use epm tool eget instead of EGET variable
parent
2998b616
Hide whitespace changes
Inline
Side-by-side
Showing
15 changed files
with
24 additions
and
40 deletions
+24
-40
epm-play
bin/epm-play
+2
-3
epm-sh-functions
bin/epm-sh-functions
+0
-15
README.md
play.d/README.md
+6
-6
anydesk.sh
play.d/anydesk.sh
+1
-1
atom.sh
play.d/atom.sh
+1
-1
brave.sh
play.d/brave.sh
+1
-1
chromium-gost.sh
play.d/chromium-gost.sh
+1
-1
duplicati.sh
play.d/duplicati.sh
+2
-2
eagle.sh
play.d/eagle.sh
+2
-2
ktalk.sh
play.d/ktalk.sh
+1
-1
obsidian.sh
play.d/obsidian.sh
+1
-1
sublime.sh
play.d/sublime.sh
+2
-2
telegram.sh
play.d/telegram.sh
+2
-2
vivaldi-codecs-ffmpeg-extra.sh
play.d/vivaldi-codecs-ffmpeg-extra.sh
+1
-1
vivaldi.sh
play.d/vivaldi.sh
+1
-1
No files found.
bin/epm-play
View file @
0bbb7e8c
...
...
@@ -122,9 +122,8 @@ __epm_play_run()
local
script
=
"
$psdir
/
$1
.sh"
shift
# allow use EGET in the scripts
__set_EGET
# also we will have DISTRVENDOR there
# TODO: use epm print info instead of one?
# we will have DISTRVENDOR there
export
PATH
=
$PROGDIR
:
$PATH
set_sudo
...
...
bin/epm-sh-functions
View file @
0bbb7e8c
...
...
@@ -462,21 +462,6 @@ assure_exists()
(
direct
=
''
epm_assure
"
$1
"
$package
$3
)
||
fatal
"Can't assure in '
$1
' command from
$package$textpackage
package"
}
__set_EGET
()
{
# use internal eget only if exists
if
[
-s
$SHAREDIR
/tools_eget
]
;
then
export
EGET
=
"
$SHAREDIR
/tools_eget"
return
fi
fatal
"Internal error: missed tools_eget"
# FIXME: we need disable output here, eget can be used for get output
assure_exists eget eget 3.3
>
/dev/null
# use external command, not the function
export
EGET
=
"
$(
which eget
)
"
||
fatal
"Missed command eget from installed package eget"
}
# will replaced within disabled_eget in packaged version
eget
()
{
...
...
play.d/README.md
View file @
0bbb7e8c
Allowed variables:
*
$EGET (wget like utility)
*
$DISTRVENDOR (distro_info utility)
*
$SUDO
Allowed command:
Allowed command
s
:
*
epm (run the same epm called from)
*
epm tool eget (wget like utility)
*
epm tool estrlist (string operations)
TODO:
*
inject some functions
See any file for
. $(dirname $0)/common.sh
using
TODO:
*
save packages for remove
play.d/anydesk.sh
View file @
0bbb7e8c
...
...
@@ -35,7 +35,7 @@ PKGMASK="$(epm print constructname $PKGNAME "6.1*" $arch '' '_')"
# lib.req: WARNING: /usr/bin/anydesk: library libpangox-1.0.so.0 not found
#[ "$($DISTRVENDOR -s)" = "alt" ] && PKGMASK="os-specific/rhel8/$(epm print constructname $PKGNAME "*" $arch)"
PKG
=
"
$(
$EGET
--list
--latest
https://download.anydesk.com/linux
$PKGMASK
)
"
||
fatal
"Can't get package URL"
PKG
=
"
$(
epm tool eget
--list
--latest
https://download.anydesk.com/linux
$PKGMASK
)
"
||
fatal
"Can't get package URL"
epm
$repack
install
"
$PKG
"
||
exit
...
...
play.d/atom.sh
View file @
0bbb7e8c
...
...
@@ -13,6 +13,6 @@ DESCRIPTION="The hackable text editor from the official site"
arch
=
amd64
pkgtype
=
deb
PKG
=
$(
$EGET
--list
--latest
https://github.com/atom/atom/releases/
"atom-
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
PKG
=
$(
epm tool eget
--list
--latest
https://github.com/atom/atom/releases/
"atom-
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
epm
install
"
$PKG
"
play.d/brave.sh
View file @
0bbb7e8c
...
...
@@ -19,6 +19,6 @@ repack=''
# we have workaround for their postinstall script, so always repack rpm package
[
"
$(
$DISTRVENDOR
-p
)
"
=
"deb"
]
||
repack
=
'--repack'
PKG
=
$(
$EGET
--list
--latest
https://github.com/brave/brave-browser/releases
"
$PKGNAME
*.
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
PKG
=
$(
epm tool eget
--list
--latest
https://github.com/brave/brave-browser/releases
"
$PKGNAME
*.
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
epm
$repack
install
"
$PKG
"
play.d/chromium-gost.sh
View file @
0bbb7e8c
...
...
@@ -17,6 +17,6 @@ fi
arch
=
amd64
pkgtype
=
deb
PKG
=
$(
$EGET
--list
--latest
https://github.com/deemru/chromium-gost/releases
"chromium-gost-*linux-
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
PKG
=
$(
epm tool eget
--list
--latest
https://github.com/deemru/chromium-gost/releases
"chromium-gost-*linux-
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
epm
install
"
$PKG
"
play.d/duplicati.sh
View file @
0bbb7e8c
...
...
@@ -10,7 +10,7 @@ pkgtype="$($DISTRVENDOR -p)"
# we have workaround for their postinstall script, so always repack rpm package
[
"
$pkgtype
"
=
"deb"
]
||
repack
=
'--repack'
#PKG=$(
$EGET
--list --latest https://www.duplicati.com/download "duplicati-*$pkgtype") || fatal "Can't get package URL"
PKG
=
$(
$EGET
-O
/dev/stdout https://updates.duplicati.com/beta/latest-installers.js |
grep
-i
-o
-E
'"url": "(.+)"'
|
cut
-d
'"'
-f4
|
grep
"duplicati.*
$pkgtype
"
)
#PKG=$(
epm tool eget
--list --latest https://www.duplicati.com/download "duplicati-*$pkgtype") || fatal "Can't get package URL"
PKG
=
$(
epm tool eget
-O
/dev/stdout https://updates.duplicati.com/beta/latest-installers.js |
grep
-i
-o
-E
'"url": "(.+)"'
|
cut
-d
'"'
-f4
|
grep
"duplicati.*
$pkgtype
"
)
epm
install
$repack
"
$PKG
"
play.d/eagle.sh
View file @
0bbb7e8c
...
...
@@ -14,10 +14,10 @@ PKGURL="https://trial2.autodesk.com/NET17SWDLD/2017/EGLPRM/ESD/Autodesk_EAGLE_${
PKGDIR
=
"
$(
mktemp
-d
)
"
cd
$PKGDIR
||
fatal
if
!
$EGET
$PKGURL
;
then
if
!
epm tool eget
$PKGURL
;
then
echo
"It is possible you are blocked from USA, trying get from IPFS ..."
pkgname
=
$(
basename
$PKGURL
)
$EGET
-O
$pkgname
http://dhash.ru/ipfs/
$IPFSHASH
||
fatal
"Can't get
$pkgname
from IPFS."
epm tool eget
-O
$pkgname
http://dhash.ru/ipfs/
$IPFSHASH
||
fatal
"Can't get
$pkgname
from IPFS."
fi
epm
install
--repack
*
.tar.gz
...
...
play.d/ktalk.sh
View file @
0bbb7e8c
...
...
@@ -16,7 +16,7 @@ epm assure wget || fatal
# hack due ОШИБКА: невозможно проверить сертификат app.ktalk.ru, выпущенный «CN=RapidSSL TLS DV RSA Mixed SHA256 2020 CA-1,O=DigiCert Inc,C=US»
PKGDIR
=
"
$(
mktemp
-d
)
"
cd
$PKGDIR
||
fatal
$EGET
--no-check-certificate
"
$URL
"
||
fatal
epm tool eget
--no-check-certificate
"
$URL
"
||
fatal
epm
install
*
.AppImage
RES
=
$?
...
...
play.d/obsidian.sh
View file @
0bbb7e8c
...
...
@@ -10,7 +10,7 @@ DESCRIPTION='Obsidian from the official site'
arch
=
amd64
pkgtype
=
deb
PKG
=
$(
$EGET
--list
--latest
https://github.com/obsidianmd/obsidian-releases/releases/
"
$PKGNAME
*
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
PKG
=
$(
epm tool eget
--list
--latest
https://github.com/obsidianmd/obsidian-releases/releases/
"
$PKGNAME
*
$arch
.
$pkgtype
"
)
||
fatal
"Can't get package URL"
[
-n
"
$PKG
"
]
||
fatal
"Can't get package URL"
epm
install
"
$PKG
"
play.d/sublime.sh
View file @
0bbb7e8c
...
...
@@ -18,11 +18,11 @@ case "$arch" in
;;
esac
PKG
=
$(
$EGET
--list
--latest
https://www.sublimetext.com/download
"sublime_text_build_*_
$arch
.tar.xz"
)
||
fatal
"Can't get package URL"
PKG
=
$(
epm tool eget
--list
--latest
https://www.sublimetext.com/download
"sublime_text_build_*_
$arch
.tar.xz"
)
||
fatal
"Can't get package URL"
[
-n
"
$PKG
"
]
||
fatal
"Can't get package URL"
PKGFILE
=
$(
echo
/tmp/
$(
basename
$PKGURL
)
|
sed
-e
"s|/sublime_text_build_|/
$PKGNAME
-|"
)
$EGET
-O
$PKGFILE
$PKGURL
||
exit
epm tool eget
-O
$PKGFILE
$PKGURL
||
exit
epm
install
--repack
"
$PKG
"
||
exit
...
...
play.d/telegram.sh
View file @
0bbb7e8c
...
...
@@ -14,10 +14,10 @@ fi
[
"
$(
$DISTRVENDOR
-a
)
"
!=
"x86_64"
]
&&
echo
"Only x86_64 is supported"
&&
exit
1
PKGURL
=
$(
$EGET
--list
--latest
https://github.com/telegramdesktop/tdesktop/releases
"tsetup.*.tar.xz"
)
#"
PKGURL
=
$(
epm tool eget
--list
--latest
https://github.com/telegramdesktop/tdesktop/releases
"tsetup.*.tar.xz"
)
#"
[
-n
"
$PKGURL
"
]
||
fatal
"Can't get package URL"
PKGFILE
=
$(
echo
/tmp/
$(
basename
$PKGURL
)
|
sed
-e
"s|/tsetup|/
$PKGNAME
|"
)
$EGET
-O
$PKGFILE
$PKGURL
||
exit
epm tool eget
-O
$PKGFILE
$PKGURL
||
exit
epm
install
--repack
"
$PKGFILE
"
||
exit
...
...
play.d/vivaldi-codecs-ffmpeg-extra.sh
View file @
0bbb7e8c
...
...
@@ -40,7 +40,7 @@ a='' awk 'BEGIN{desk=0}{ if(/^.*--system.*/&&desk==0){desk++} ; if (desk==0) {pr
.
$SC
DDIR
=
$(
mktemp
-d
)
cd
$DDIR
||
fatal
$EGET
$FFMPEG_URL_DEB
epm tool eget
$FFMPEG_URL_DEB
SUITABLE_URLS
=
$FFMPEG_URL_DEB
a
=
''
ar
-x
*
.deb
a
=
''
tar
xf
"data.tar.xz"
...
...
play.d/vivaldi.sh
View file @
0bbb7e8c
...
...
@@ -30,7 +30,7 @@ esac
# epm uses eget to download * names
#epm install "https://repo.vivaldi.com/archive/deb/pool/main/$(epm print constructname $PKGNAME "*" $arch deb)"
PKGURL
=
"
$(
$EGET
--list
--latest
https://vivaldi.com/ru/download
"
$(
epm print constructname
$PKGNAME
"*"
$arch
deb
)
"
)
"
||
fatal
PKGURL
=
"
$(
epm tool eget
--list
--latest
https://vivaldi.com/ru/download
"
$(
epm print constructname
$PKGNAME
"*"
$arch
deb
)
"
)
"
||
fatal
epm
install
$PKGURL
||
fatal
epm play vivaldi-codecs-ffmpeg-extra
$BRANCH
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment